@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@400;500;700&display=swap');

body {
    height: 100vh;
}

:root {
    --color-primary: #07A0EC;
    --grid-gutter: 0rem;
    --font-family-sans: "Mulish",-apple-system,BlinkMacSystemFont,Avenir,"Avenir Next","Segoe UI","Roboto","Oxygen","Ubuntu","Cantarell","Fira Sans","Droid Sans","Helvetica Neue",sans-serif;
}

.modal-background {
    position: fixed;
    background-size: cover;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 30;
    background-color:rgba(0,0,0,0.8);
    display: none;
}

.modal {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    overflow: visible;
    left: 50%;
    top: 25%;
    transform: translate(-50%, 0px);
    padding: 2rem;
    margin: 2rem 0;
    background: #F7F9FB;
    box-shadow: 0px 1px 48px rgba(0, 0, 0, 0.12);
    -webkit-box-shadow: 0px 1px 48px rgba(0, 0, 0, 0.12);
    -moz-box-shadow: 0px 1px 48px rgba(0, 0, 0, 0.12);
    border-radius: 2rem;
    z-index: 60;
    width: 33rem;
    display: none;
}

.modal-close {
    position: absolute;
    left: 60%;
    top: 28%;
    font-size: 2rem;
    color: #000;
    z-index: 61;
    cursor: pointer;
}

.visible {
    display: block;
}

.menu {
    padding: 1.5rem;
}

#wallet_address {
    margin-right: 3rem;
    font-weight: bold;
}

.counter-wrapper {
    position: relative;
}

#get_total {
    position: absolute;
    width: 122px;
    height: 38px;
    background: #fff;
    top: 270px;
    left: 85px;
    font-size: 3rem;
    font-weight: bold;
    text-align: right;
    padding-right: 1rem;
    padding-left: 1rem;
}

.main-content {
    height: 85vh;
}